<%@ Control Language="c#" Codebehind="OrderEdit.ascx.cs" Inherits="DNNMasters.CB.Store.UI.OrderEdit" TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<asp:Label ID="_lblOrderId" runat="server" Text="Label" CssClass="NormalRed"></asp:Label>
<br /><br />
<b>Order Summary</b>
<asp:Panel class="OrderSummaryContent" runat="server" ID="_pnlCart">
     <table class="cart">
        <tbody>
            <tr class="cart-header-row">
                <td class="picture">
                </td>
                <td width="40%">
                    Product(s)
                </td>
                <td width="20%">
                    UnitPrice
                </td>
                <td width="10%">
                    Qty
                </td>
                <td width="20%" class="end">
                    ItemTotal
                </td>
            </tr>
            <asp:Repeater ID="_rptShoppingCart" runat="server">
                <ItemTemplate>
                    <tr class="cart-item-row">
                        <td class="productpicture">
                            <asp:Image ID="iProductVariantPicture" runat="server" ImageUrl='<%#GetProductImageUrl(Eval("IconUrl"))%>' />
                        </td>
                        <td width="40%" class="product">
                            <a href='<%#GetProductURL(Eval("PostId"))%>'>
                                <%#Server.HtmlEncode(Eval("Title").ToString())%></a>
                            <%#Server.HtmlDecode(Eval("TeaserBody").ToString())%>
                            <asp:Panel runat="server" ID="pnlWarnings" CssClass="WarningBox" EnableViewState="false"
                                Visible="false">
                                <asp:Label runat="server" ID="lblWarning" CssClass="WarningText" EnableViewState="false"
                                    Visible="false"></asp:Label>
                            </asp:Panel>
                        </td>
                        <td width="20%">
                            <%# ReturnCurrency() %><%#Eval("SalePrice").ToString()%>
                        </td>
                        <td width="10%">
                            <asp:Label ID="Label1" runat="server" Text='<%# Eval("Quantity") %>'></asp:Label>
                        </td>
                        <td width="20%" class="end">
                            <%# ReturnCurrency() %><%#GetShoppingCartItemSubTotalString(Eval("SalePrice"), Eval("Quantity"))%>
                            <asp:Label ID="lblShoppingCartItemID" runat="server" Visible="false" Text='<%# Eval("ShoppingCartId") %>' />
                        </td>
                    </tr>
                </ItemTemplate>
            </asp:Repeater>
        </tbody>
    </table>

<div class="cart-footer">
        <div class="clear">
        </div>
        <div class="TotalInfo">
            <table class="cart-total">
                <tbody>
                    <tr>
                        <td class="cart_total_left">
                            <strong>Sub-Total:</strong>
                        </td>
                        <td class="cart_total_right">
                            <nobr>
                                <asp:Label ID="_lblSubTotalAmount" runat="server" CssClass="productPrice" />
                            </nobr>
                        </td>
                    </tr>
                    <tr>
                        <td class="cart_total_left">
                            <strong>Shipping:</strong>
                        </td>
                        <td class="cart_total_right">
                            <nobr>
                                <asp:Label ID="_lblShippingAmount" runat="server" CssClass="productPrice" />
                            </nobr>
                        </td>
                    </tr>
                    <tr>
                        <td class="cart_total_left">
                            <strong>Tax [<asp:Label ID="_lblTaxPercentValue" runat="server" />%]:</strong>
                        </td>
                        <td class="cart_total_right">
                            <nobr>
                                <asp:Label ID="_lblTotalTaxAmount" runat="server" CssClass="productPrice" />
                            </nobr>
                        </td>
                    </tr>
                    <tr>
                        <td class="cart_total_left">
                            <strong>Order Total:</strong>
                        </td>
                        <td class="cart_total_right">
                            <nobr>
                                <asp:Label ID="_lblTotalAmount" runat="server" CssClass="productPrice" />
                            </nobr>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

<asp:Label ID="Label3" runat="server" Text="txn_id:" CssClass="productPrice" /> <asp:Label ID="_lblTxnId" runat="server" CssClass="productPrice" />
<br /><br />

<asp:Panel ID="_pnlEdit" runat="server">
<b>Order Edit</b>
<table>
    <tr>
        <td>
            <dnn:Label ID="lblCurrentStatus" CssClass="Normal" ControlName="" Suffix=":" runat="server" ResourceKey="lblCurrentStatus" />
        </td>
        <td>
            <asp:DropDownList ID="_ddlCurrentStatus" runat="server"></asp:DropDownList>             
        </td>    
    </tr>
</table>
<asp:Label ID="_lblOrderLog" runat="server" Text=""></asp:Label>

<asp:LinkButton ID="_lnkUpdate" runat="server">Update</asp:LinkButton>&nbsp;&nbsp;&nbsp;
</asp:Panel>

<asp:LinkButton ID="_lnkCancel" runat="server" >Cancel</asp:LinkButton>
<br /><br />
<asp:LinkButton ID="_lnkSendEmail" runat="server" >Send email</asp:LinkButton>

    
</asp:Panel>
